This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 527799 - Cannot insert CD/DVD into carrier tray
Cannot insert CD/DVD into carrier tray
Status: CLOSED DUPLICATE of bug 453095
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-07 14:23 EDT by Joseph Sacco
Modified: 2010-04-13 12:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-13 12:21:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Sacco 2009-10-07 14:23:53 EDT
Platform: G4 powermac, latest fc11 updates as of 7-Oct-2009

Push the button to open the carrier tray.  The tray opens momentarily and then closes immediately all by itself. With fast hands, one can actually get a disk into the tray before it slams shut.

Once a disk is inserted, it does not automatically appear on the desktop. The disk can be manually mounted [for example the fc11 PPC install DVD].

-Joseph
Comment 1 Joseph Sacco 2009-12-20 07:52:02 EST
The problem persists in fc12.

-Joseph
Comment 2 Joseph Sacco 2010-01-26 09:45:43 EST
I am available to run whatever tests are required to resolve this problem.

-Joseph
Comment 3 Joseph Sacco 2010-01-26 09:49:57 EST
A workaround for this problem:

As root run:

     sysctl -w dev.cdrom.autoclose=0

See bug number 543959

-Joseph
Comment 4 Harald Hoyer 2010-01-26 09:50:57 EST
do you have anaconda installed?

$ rpm -q anaconda
Comment 5 Joseph Sacco 2010-01-26 10:02:33 EST
No... Should I?

-Joseph
Comment 6 Harald Hoyer 2010-01-26 10:11:48 EST
No, but it would be one source of the symptom
Comment 7 Harald Hoyer 2010-01-26 10:14:57 EST
see also bug 453095
see also bug 527781
Comment 8 Harald Hoyer 2010-01-26 10:22:13 EST
you might also try:

udev-145-15.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-15.fc12
Comment 9 Joseph Sacco 2010-01-26 11:44:43 EST
I pulled down and installed

     udev-145-15.fc12
     libudev-145-15.fc12
     libgudev1-145-15.fc12

and rebooted that machine. Updating udev and friends did not resolve the problem. Unless dev.cdrom.autoclose is set to 0, the tray closes as soon as it is opened. 

Note also that auto-mount fails to occur when media with a mountable file system in placed in the tray and the tray is closed.  The media can be mounted manually using the "mount" command.


I did notice an oddity. The file

     /etc/udev/rules.d/70-persistent-cd.rules


has two entries for the same device

# PIONEER_DVD-RW_DVR-111D (pci-0.00020000:ata-3-ide-0:0)
SUBSYSTEM=="block", ENV{ID_CDROM}=="?*", ENV{ID_PATH}=="pci-0.00020000:ata-3-ide-0:0", SYMLINK+="cdrom", ENV{GENERATED}="1"
SUBSYSTEM=="block", ENV{ID_CDROM}=="?*", ENV{ID_PATH}=="pci-0.00020000:ata-3-ide-0:0", SYMLINK+="cdrw", ENV{GENERATED}="1"
SUBSYSTEM=="block", ENV{ID_CDROM}=="?*", ENV{ID_PATH}=="pci-0.00020000:ata-3-ide-0:0", SYMLINK+="dvd", ENV{GENERATED}="1"
SUBSYSTEM=="block", ENV{ID_CDROM}=="?*", ENV{ID_PATH}=="pci-0.00020000:ata-3-ide-0:0", SYMLINK+="dvdrw", ENV{GENERATED}="1"
# PIONEER_DVD-RW_DVR-111D (pci-0001:10:17.0)
SUBSYSTEM=="block", ENV{ID_CDROM}=="?*", ENV{ID_PATH}=="pci-0001:10:17.0", SYMLINK+="cdrom1", ENV{GENERATED}="1"
SUBSYSTEM=="block", ENV{ID_CDROM}=="?*", ENV{ID_PATH}=="pci-0001:10:17.0", SYMLINK+="cdrw1", ENV{GENERATED}="1"
SUBSYSTEM=="block", ENV{ID_CDROM}=="?*", ENV{ID_PATH}=="pci-0001:10:17.0", SYMLINK+="dvd1", ENV{GENERATED}="1"
SUBSYSTEM=="block", ENV{ID_CDROM}=="?*", ENV{ID_PATH}=="pci-0001:10:17.0", SYMLINK+="dvdrw1", ENV{GENERATED}="1"

This system has only one PIONEER_DVD-RW_DVR-111D.

I looked at an fc9 installation I had archived and saw only the first entry.

Deleting the second entry, killing off and restarting the udev daemon doesn't seem to help.

When the system is rebooted,  the file is regenerated with two entries for the single device.

-Joseph
Comment 10 Harald Hoyer 2010-02-12 10:11:06 EST
ok, one thing to try:
comment out line 7 in /lib/udev/rules.d/60-persistent-storage.rules, which will look like this:

# forward scsi device event to corresponding block device
# ACTION=="change", SUBSYSTEM=="scsi", ENV{DEVTYPE}=="scsi_device", TEST=="block", ATTR{block/*/uevent}="change"
Comment 11 Joseph Sacco 2010-02-12 10:46:43 EST
Harald,

The change to 60-persistent-storage.rules did not resolve the problem.  The CD/DVD tray still closes immediately after opening.

I worked around this problem by setting 

     dev.cdrom.autoclose=0 

in /etc/sysctl.conf.


-Joseph
Comment 12 Harald Hoyer 2010-04-13 12:21:52 EDT

*** This bug has been marked as a duplicate of bug 453095 ***

Note You need to log in before you can comment on or make changes to this bug.